import React, { memo } from 'react';
import { TextInput } from 'react-native';
import Animated from 'react-native-reanimated';
import { PLACEHOLDER } from '../../constants';
import { useRNDTExternal, useRNDTInternal } from '../../hooks';
import styles from './styles';
const AnimatedTextInput = Animated.createAnimatedComponent(TextInput);

const CustomTextInput = () => {
  const { isResize } = useRNDTInternal();
  var { externalTextStyles, defaultTextValue, placeholder } = useRNDTExternal();

  return (
    <>
      <AnimatedTextInput
        multiline
        returnKeyType="done"
        defaultValue={defaultTextValue}
        scrollEnabled={false}
        spellCheck={false}
        autoCorrect={false}
        onChange={() => (isResize.value = false)}
        style={[styles.textStyles, externalTextStyles]}
        placeholder={placeholder ? placeholder : PLACEHOLDER}
      />
    </>
  );
};

export default memo(CustomTextInput);
